Bug 477567 (nload) - Review Request: nload - console ncurses network monitoring tool
Summary: Review Request: nload - console ncurses network monitoring tool
Status: CLOSED ERRATA
Alias: nload
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-22 01:41 UTC by Itamar Reis Peixoto
Modified: 2014-09-25 12:05 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-16 23:44:31 UTC
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Itamar Reis Peixoto 2008-12-22 01:41:59 UTC
Spec URL: http://ispbrasil.com.br/nload/nload.spec
SRPM URL: http://ispbrasil.com.br/nload/nload-0.7.2-1.fc9.src.rpm

Description: 

nload is a console application which monitors network traffic and bandwidth
usage in real time. It visualizes the in and outgoing traffic using two graphs
and provides additional info like total amount of transfered data and min/max
network usage.

koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1015021

Comment 1 Fabian Affolter 2008-12-22 10:33:31 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: F9/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint nload-0.7.2-1.fc9.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop024 i386]$ rpmlint nload*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type: GPLv2+ [1]
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: 5b851ecf898edcd1f465946745e95eb6
     Build source:    5b851ecf898edcd1f465946745e95eb6
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [x] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [!] Timestamps preserved with cp and install.
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1015818
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

[1] Source header says GPLv2+
[2] Using make install DESTDIR=%{buildroot} INSTALL="install -p" instead of  %{__make} install DESTDIR="%{buildroot}" preserve the timestamps

Just some cosmetic stuff:
- Every BR on one line looks neat
- a dash between '...om.br> - 0.7.2-1' would be nice

Comment 2 Itamar Reis Peixoto 2008-12-22 12:07:35 UTC
> [1] Source header says GPLv2+
> [2] Using make install DESTDIR=%{buildroot} INSTALL="install -p" instead of 
> %{__make} install DESTDIR="%{buildroot}" preserve the timestamps
> 
> Just some cosmetic stuff:
> - Every BR on one line looks neat
> - a dash between '...om.br> - 0.7.2-1' would be nice

fixed.

http://ispbrasil.com.br/nload/nload.spec
http://ispbrasil.com.br/nload/nload-0.7.2-2.fc10.src.rpm

Comment 3 Fabian Affolter 2008-12-22 18:41:48 UTC
I see no further blocker, package APPROVED

Comment 4 Itamar Reis Peixoto 2008-12-22 18:51:00 UTC
New Package CVS Request
=======================
Package Name: nload
Short Description: Console Ncurses Network Monitoring Tool
Owners: itamarjp
Branches: F-10 F-9
InitialCC:

Comment 5 Kevin Fenzi 2008-12-23 02:39:12 UTC
cvs done.

Comment 6 Fedora Update System 2008-12-23 11:59:53 UTC
nload-0.7.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nload-0.7.2-2.fc10

Comment 7 Fedora Update System 2008-12-23 12:01:00 UTC
nload-0.7.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nload-0.7.2-2.fc9

Comment 8 Fedora Update System 2008-12-24 18:45:47 UTC
nload-0.7.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update nload'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11752

Comment 9 Fedora Update System 2008-12-24 18:48:16 UTC
nload-0.7.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nload'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11755

Comment 10 Fedora Update System 2009-01-16 23:44:28 UTC
nload-0.7.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-01-27 01:52:12 UTC
nload-0.7.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Christopher Meng 2013-05-28 05:10:49 UTC
Package Change Request
======================
Package Name: nload
New Branches: el6
Owners: cicku itamarjp

Comment 13 Gwyn Ciesla 2013-05-28 14:36:49 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-05-29 06:04:42 UTC
nload-0.7.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nload-0.7.4-1.el6

Comment 15 Fedora Update System 2013-06-13 22:29:53 UTC
nload-0.7.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fabian Affolter 2014-09-24 21:18:34 UTC
Package Change Request
======================
Package Name: nload
New Branches: epel7
Owners: cicku itamarjp
InitialCC:

Comment 17 Fabian Affolter 2014-09-24 21:19:20 UTC
Sorry, again

Package Change Request
======================
Package Name: nload
New Branches: epel7
Owners: fab cicku itamarjp
InitialCC:

Comment 18 Gwyn Ciesla 2014-09-25 12:05:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.